# BasicProcess Class Reference

`#include <BasicProcess.h>`

List of all members.

## Public Types

enum | dir_t { TO_CHILD, FROM_CHILD }

## Public Member Functions

| BasicProcess ()
| ~BasicProcess ()
void | exec (std::list< std::string > &args)
void | exec (char *args)
void | exec (char *argv[])
BasicPipe * | getChildPipe (dir_t dir, int childFD=-1)
int | getPID ()
void | kill (int sig)
int | wait (int options=0)
bool | isRunning ()
int | getReturnCode ()

## Static Public Member Functions

void | parseArgs (char *args, int &argc, char *argv[], int n)

## Private Types

typedef std::list< ChildPipe * > | pipes_t

## Private Attributes

pipes_t | pipes
int | pid
bool | running
int | returnCode

## Member Typedef Documentation

typedef std::list<ChildPipe *> BasicProcess::pipes_t `[private]`

## Member Enumeration Documentation

enum BasicProcess::dir_t

Enumeration values:

  TO_CHILD |
  FROM_CHILD |

## Constructor & Destructor Documentation

BasicProcess::BasicProcess | ( |  | ) |

BasicProcess::~BasicProcess | ( |  | ) |

## Member Function Documentation

void BasicProcess::exec | ( | char * | argv[] | ) |

void BasicProcess::exec | ( | char * | args | ) |

void BasicProcess::exec | ( | std::list< std::string > & | args | ) |

BasicPipe * BasicProcess::getChildPipe | ( | dir_t | dir,
|  | int | childFD = `-1`
| ) |

int BasicProcess::getPID | ( |  | ) | `[inline]`

int BasicProcess::getReturnCode | ( |  | ) | `[inline]`

bool BasicProcess::isRunning | ( |  | ) |

void BasicProcess::kill | ( | int | sig | ) |

void BasicProcess::parseArgs | ( | char * | args,
|  | int & | argc,
|  | char * | argv[],
|  | int | n
| ) | `[static]`

int BasicProcess::wait | ( | int | options = `0` | ) |

## Member Data Documentation

int BasicProcess::pid `[private]`

pipes_t BasicProcess::pipes `[private]`

int BasicProcess::returnCode `[private]`

bool BasicProcess::running `[private]`

The documentation for this class was generated from the following files:

- BasicProcess.h
- BasicProcess.cpp